Skip to main content
POST
Instantiate Cluster Template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

Template ID

Body

application/json

Request to instantiate a cluster from a template.

cluster_name
string
required

Name for the new cluster

Required string length: 1 - 100
collection_ids
string[]
required

Collection IDs to use for the cluster

Minimum array length: 1
description
string | null

Optional description override for the cluster

Maximum string length: 1000

Response

Successful Response

Response after instantiating a cluster template.

cluster_id
string
required

ID of the created cluster

cluster_name
string
required

Name of the created cluster

template_id
string
required

ID of the template used

status
string
default:created

Status of the instantiation

created_at
string<date-time>

Timestamp when cluster was created